Package org.eclipse.emf.cdo.server.db.evolution.phased

# Interface Context.Manager

All Known Implementing Classes:
  `FolderContextManager`

Enclosing class:
  `Context`

public static interface Context.Manager
A manager for creating, loading, and saving contexts.

Since:
  4.14
Author:
  Eike Stepper
No Implement
  This package is currently considered provisional.
No Extend
  This package is currently considered provisional.
No Reference
  This package is currently considered provisional.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PRODUCT_GROUP`
The product group for context manager implementations.

## Method Summary

Modifier and Type
Method
Description
`Context`
`createContext()`
Creates a new context for model evolution.
`PhasedModelEvolutionSupport`
`getSupport()`
Returns the model evolution support associated with this context manager.
`Context`
`loadContext()`
Loads an existing context for model evolution.
`void`
`saveContext(Context context)`
Saves the given context for model evolution.
`void`
`setSupport(PhasedModelEvolutionSupport support)`
Sets the model evolution support associated with this context manager.

## Field Details

### PRODUCT_GROUP

static final String PRODUCT_GROUP
The product group for context manager implementations.

See Also:
  - Constant Field Values

## Method Details

### getSupport

PhasedModelEvolutionSupport getSupport()
Returns the model evolution support associated with this context manager.

### setSupport

void setSupport(PhasedModelEvolutionSupport support)
Sets the model evolution support associated with this context manager.

No Reference
  This method is not intended to be called by clients.

### createContext

Context createContext() throws Exception
Creates a new context for model evolution.

Throws:
  `Exception`

### loadContext

Context loadContext() throws Exception
Loads an existing context for model evolution.

Throws:
  `Exception`

### saveContext

void saveContext(Context context) throws Exception
Saves the given context for model evolution.

Throws:
  `Exception`